curl --request POST \
--url https://api.fabric.inc/v3/backorders-preorders/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"filters": [
{
"condition": "EQ",
"field": "backOrderPreOrder.cartId",
"value": "64391c190d3ce53e2ccc72b2"
},
{
"condition": "IN",
"field": "backOrderPreOrder.itemId",
"values": [
"1122345",
"5544321"
]
}
],
"sort": "-backOrderPreOrder.type"
}
'import requests
url = "https://api.fabric.inc/v3/backorders-preorders/search"
payload = {
"filters": [
{
"condition": "EQ",
"field": "backOrderPreOrder.cartId",
"value": "64391c190d3ce53e2ccc72b2"
},
{
"condition": "IN",
"field": "backOrderPreOrder.itemId",
"values": ["1122345", "5544321"]
}
],
"sort": "-backOrderPreOrder.type"
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filters: [
{
condition: 'EQ',
field: 'backOrderPreOrder.cartId',
value: '64391c190d3ce53e2ccc72b2'
},
{
condition: 'IN',
field: 'backOrderPreOrder.itemId',
values: ['1122345', '5544321']
}
],
sort: '-backOrderPreOrder.type'
})
};
fetch('https://api.fabric.inc/v3/backorders-preorders/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"lineItemId": "0",
"locationNumber": "WH334",
"orderId": "5fec576ddaa2544b2dd94684",
"orderStatusCode": "ORDER_CREATED",
"orderedAt": "2022-04-12T09:30:31.198Z",
"quantity": 5,
"sku": "sku_123",
"type": "BACKORDER",
"cartId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
"consentReceivedAt": "2022-07-12T09:30:31.198Z",
"createdAt": "2022-07-11T15:03:14.642Z",
"id": "63ec576ddaa2544b2dd94684",
"isDelayConsented": true,
"itemId": 123,
"lastNotifiedAt": "2022-06-12T09:30:31.198Z",
"lineItemStatus": "CANCELLED",
"orderNumber": "order_123",
"releasedQuantity": 1,
"status": "PARTIAL_BACK_PREORDER_RELEASE",
"updatedAt": "2022-07-11T15:03:14.642Z",
"vendorId": "vendor_123"
}
],
"pagination": {
"count": 1000,
"limit": 10,
"offset": 1
},
"stats": [
"<string>"
]
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Search for backorders or preorders by query
Search for the backorder or preorder reservations based on filter criteria.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.
Unique request ID
Query Parameters
Number of records to be skipped before returning all records. Default is 0 when no value is specified.
0
Maximum number of records per page
1 <= x <= 10010
Body
Backorder preorder search request details
50Criteria to find backorder-preorder using a single value. Condition between field and value is anything except IN and NIN when valueSearchFilter is used.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
Show child attributes
Show child attributes
Property by which data is sorted
(^[+-]backOrderPreOrder\.[a-zA-Z.\-_]*)(,([+-]backOrderPreOrder\.[a-zA-Z.\-_]*)){0,}"+backOrderPreOrder.invoicedAt"
Was this page helpful?
